Kumusoft Solutions
EFRIS API
EFRIS API
  1. ๐Ÿ“ฆ Stock Management
  • ๐Ÿš€ Getting started
  • ๐Ÿ” Authentication
    • Getting started
    • Calling Kumusoft APIs
    • API Keys
    • Generate auth Token
      POST
  • ๐Ÿงพ Invoicing
    • How to generate a Fiscal invoice
    • Generate fiscal invoice
      POST
    • Preview fiscal invoice
      POST
    • Search invoices
      POST
    • Invoice detils
      GET
  • ๐Ÿ“ฆ Stock Management
    • All stock items
      GET
    • Search stock items
      POST
    • Reduce stock
      POST
    • Increase stock
      POST
    • Register stock item
      POST
  • ๐Ÿ“ƒ Credit Notes
    • Issue credit note
      POST
  • โš™๏ธ Masterdata
    • Registration details
      GET
    • Get Masterdata
      GET
  • ๐Ÿ“‹ Reference
    • Overview
    • Data Sources
    • Invoice Types
    • Tax Rules
    • Return Codes
      • Overview
      • General system return codes
      • Taxpayer return codes
      • Invoice return codes
      • Credit note return codes
      • Stock management return codes
      • Device return codes
      • Invoice industry codes
  1. ๐Ÿ“ฆ Stock Management

Increase stock

Developing
POST
/increase-stock
Register stock increase for example after making a purchase or manufacturing

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://efristest.kumusoft.xyz/increase-stock' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "supplierTin": "",
    "supplierName": "Supplier Inc",
    "remarks": "Remarks on this stock",
    "stockInDate": "2025-10-16",
    "stockInType": "102", //required
    //101: Import
    //102: Local Purchase
    //103: Manufacturing/Assembling
    //104: Opening Stock
    "productionBatchNo": "", 
    "productionDate": "",
    "stockInItem": [
        {
            "itemCode": "DFOO1",
            "quantity": 398, //50398
            "unitPrice": 5500
        }
    ]
}'
Response Response Example
{}
Previous
Reduce stock
Next
Register stock item
Built with